import logging
from requests.exceptions import HTTPError
from brian_dashboard_manager.grafana.utils.request import TokenRequest


logger = logging.getLogger(__name__)


def get_folders(request: TokenRequest):
    return request.get('api/folders')


def create_folder(request: TokenRequest, title):
    try:
        data = {'title': title, 'uid': title.replace(' ', '_')}
        r = request.post('api/folders', json=data)
    except HTTPError as e:
        message = e.content.get("message", "")
        logger.exception(
            f'Error when creating folder {title} ({message})')
        return None
    return r
